#****************************************************************************
#**
#**  File     :  /lua/shield.lua
#**  Author(s):  John Comes, Gordon Duclos
#**
#**  Summary  : Shield lua module
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local oldShield = Shield
Shield = Class(oldShield) {

    OnDamage =  function(self,instigator,amount,vector,type)
        local absorbed = self:OnGetDamageAbsorption(instigator,amount,type) 
        local hp = self:GetHealth()
        if absorbed<=hp then
        	#LOG(self.XPperDamage*absorbed)
	   		self.Owner:AddXP(self.XPperDamage*absorbed)
	   	else
	   		#LOG(self.XPperDamage*absorbed)
	   		self.Owner:AddXP(self.XPperDamage*hp)
	   	end
        
        oldShield.OnDamage(self,instigator,amount,vector,type)
    end,
}


